import java.awt.Graphics;
import java.awt.Point;
import java.awt.Polygon;
import javax.swing.JFrame;


public class MemoPointFrame extends JFrame{
    
    private int modeGraphique;
    private static final int rond=0;
    private static final int croix=1;
    private static final int poly=2;
    private static final int surf=3;
    private static final int text=4;
    private int nbPoints;
    private Point[] points;

    public MemoPointFrame(){
	this("Pas de titre");
    }

    public MemoPointFrame(String titre){
	nbPoints=0;
	modeGraphique=rond;
	setTitle(titre);
	setSize(800,600);	
    }

    public MemoPointFrame(String titre, int modeGraphique) throws Exception{
	nbPoints=0;
	if(modeGraphique>text || modeGraphique<rond){
	    throw new Exception("Mode graphique incorrect");
	}
	else{
	    this.modeGraphique=modeGraphique;
	}
	setTitle(titre);
	setSize(800,600);	
    }


    public void alea(int nb){
	int larg=getWidth();
	int haut=getHeight();
	points=new Point[nb];
	nbPoints=nb;
	for (int i=0;i<nb;i++){
	    points[i]=new Point((int)(Math.random()*larg),(int)(Math.random()*haut));
	}
    }

    public void paint(Graphics g){
	super.paint(g);
	int x,y;
	Polygon poly;
	switch(modeGraphique){
	case MemoPointFrame.rond:
	    for(int i=0;i<nbPoints;i++){
	    	x=points[i].x;
		y=points[i].y;
		g.drawOval(x-3,y-3,6,6);
	    }
	    break;
	case MemoPointFrame.croix:
	    for(int i=0;i<nbPoints;i++){
	    	x=points[i].x;
		y=points[i].y;
		g.drawLine(x-3,y,x+3,y);
		g.drawLine(x,y-3,x,y+3);
	    }
	    break;
	case MemoPointFrame.poly:
	    poly=new Polygon();
	    for(int i=0;i<nbPoints;i++){
	    	x=points[i].x;
		y=points[i].y;
		poly.addPoint(x,y);
	    }
	    g.drawPolygon(poly);
	    break;
	case MemoPointFrame.surf:
	    poly=new Polygon();
	    for(int i=0;i<nbPoints;i++){
	    	x=points[i].x;
		y=points[i].y;
		poly.addPoint(x,y);
	    }
	    g.fillPolygon(poly);
	    break;
	case MemoPointFrame.text:
	     for(int i=0;i<nbPoints;i++){
	    	x=points[i].x;
		y=points[i].y;
		g.drawString("("+x+","+y+")",x,y);
	    }
	     break;
	default:
	    break;
	}
    }
    
    void boucle() throws Exception{
	while(true){
	    Thread.sleep(3000);
	    modeGraphique++;
	    if(modeGraphique==5){
		modeGraphique=0;
	    }
	    repaint();
	}
    }
}