import java.awt.Graphics;
import java.awt.Point;
import java.awt.Polygon;
import javax.swing.JPanel;


public class MemoPointPanel extends JPanel{
    
    private int modeGraphique;
    private static final int rond=0;
    private static final int croix=1;
    private static final int poly=2;
    private static final int surf=3;
    private static final int text=4;
    private int nbPoints;
    private Point[] points;



    public MemoPointPanel(){
	nbPoints=0;
	modeGraphique=rond;
    }

    public MemoPointPanel( int modeGraphique) throws Exception{
	nbPoints=0;
	if(modeGraphique>text || modeGraphique<rond){
	    throw new Exception("Mode graphique incorrect");
	}
	else{
	    this.modeGraphique=modeGraphique;
	}
    }


    public void alea(int nb){
	int larg=800;
	int haut=600;
	points=new Point[nb];
	nbPoints=nb;
	for (int i=0;i<nb;i++){
	    points[i]=new Point((int)(Math.random()*larg),(int)(Math.random()*haut));
	}
    }

    public void paintComponent(Graphics g){
	super.paintComponent(g);
	System.out.println("Print");
	int x,y;
	Polygon poly;
	switch(modeGraphique){
	case MemoPointPanel.rond:
	    for(int i=0;i<nbPoints;i++){
	    	x=points[i].x;
		y=points[i].y;
		g.drawOval(x-3,y-3,6,6);
	    }
	    break;
	case MemoPointPanel.croix:
	    for(int i=0;i<nbPoints;i++){
	    	x=points[i].x;
		y=points[i].y;
		g.drawLine(x-3,y,x+3,y);
		g.drawLine(x,y-3,x,y+3);
	    }
	    break;
	case MemoPointPanel.poly:
	    poly=new Polygon();
	    for(int i=0;i<nbPoints;i++){
	    	x=points[i].x;
		y=points[i].y;
		poly.addPoint(x,y);
	    }
	    g.drawPolygon(poly);
	    break;
	case MemoPointPanel.surf:
	    poly=new Polygon();
	    for(int i=0;i<nbPoints;i++){
	    	x=points[i].x;
		y=points[i].y;
		poly.addPoint(x,y);
	    }
	    g.fillPolygon(poly);
	    break;
	case MemoPointPanel.text:
	     for(int i=0;i<nbPoints;i++){
	    	x=points[i].x;
		y=points[i].y;
		g.drawString("("+x+","+y+")",x,y);
	    }
	     break;
	default:
	    break;
	}
    }
    
    public void shiftModeGraphique(){
	 modeGraphique++;
	 if(modeGraphique==5){
	     modeGraphique=0;
	 }
    }
}